#!/bin/bash

amIOkay=$(cat /home/pi/boardNum.txt)

if [ $amIOkay -eq 0 ]; then exit; fi


tail -n1 frequency.csv | awk -F, '{print $3","$8}' >> graphFreq.csv
tail -n1 duty.csv  | awk -F, '{print $3","$8}' >> graphDuty.csv
tail -n1 fall.csv  | awk -F, '{print $3","$8}' >> graphFall.csv
tail -n1 rise.csv  | awk -F, '{print $3","$8}' >> graphRise.csv


sleep 5

c=$(cat regA.txt); printf "0x%x" $(( ((((c>>2) + 1) % 64) << 2) + 1 )) > regA.txt
d=$(cat regB.txt); printf "0x%x" $(( ((((d>>2) + 1) % 64) << 2))) > regB.txt

/usr/sbin/i2cset -y 1 0x6a 0x12 $(cat regA.txt)
/usr/sbin/i2cset -y 1 0x6a 0x13 $(cat regB.txt)

sleep 3

python /home/pi/reset.py

