#!/usr/bin/python  

# Using ethernet to talk to an Agilent Infiniium MSO9404A  
# See also the "Infiniium 9000A Programmer's Reference"  

import socket
import sys
import datetime

sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
sock.connect(("192.168.0.102", 5025))


def cmd(s):
    sock.send(s + "\n")


def resp():
    r = sock.recv(1048576)
    while not r.endswith("\n"):
        r += sock.recv(1048576)
    return r


cmd("*RST")
cmd(":AUToscale")
cmd(":MEASure:DUTYcycle")
cmd(":MEASure:FALLtime")
cmd(":MEASure:RISEtime")
cmd(":MEASure:FREQuency")
